html,
body {
	text-align: center;
	margin: 0;
	padding: 0;
	font-family: 'Roboto', sans-serif;
	font-size: 12px; /* Default size for body text */
	line-height: 1.5; /* Improve readability */
	/* padding: 10px 20px; */
}
a,
a:active,
a:hover {
	color: inherit;
	text-decoration: none;
}
header {
	height: 50px;
}

main {
	width: 8.5in; /* Subtract margins (1 inch each side) */
	height: 11in; /* Subtract margins (1 inch top and bottom) */
	margin: 0 auto; /* Center the content */
	padding: 0.35in; /* Optional padding for aesthetics */
	box-sizing: border-box; /* Ensure padding is included in dimensions */
	background: white; /* Print-friendly background */
	color: black; /* Ensure good contrast for printing */
	overflow: hidden; /* Prevent any content overflow */

	text-align: left;
	display: flex;
	flex-direction: column;
	justify-content: start;

	border-radius: 10px;
	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
#resume-controls {
	width: 8.5in;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	padding: 10px 0;
	margin: auto;
}
#title,
#title a {
	width: 100%;
	height: 30px;
	line-height: 30px;
	text-align: left;
	font-size: 2rem;
}
#subtitle {
	width: 100%;
	/* height: 25px; */
	/* line-height: 25px; */
	text-align: left;
	font-size: 1.2rem;
	/* font-style: italic; */
	margin: 8px 0 4px;
	font-weight: bold;
	color: var(--faded);
}
.contact-info {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
	margin: 4px 0 0;
	gap: 50px;
}
.contact-item {
	display: flex;
	flex-direction: row;
	gap: 4px;
	justify-content: start;
	align-items: center;
	flex-wrap: wrap;
	/* min-width: 140px; */
}
.contact-icon {
	width: 20px;
	height: 20px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}
.icon-phone {
	background-image: url('../assets/images/icon-phone.png');
}
.icon-web {
	background-image: url('../assets/images/icon-web.png');
}
.icon-email {
	background-image: url('../assets/images/icon-email.png');
}
.icon-link {
	background-image: url('../assets/images/icon-link.png');
}
.icon-fav {
	background-image: url('../assets/images/icon-fav.png');
}
.icon-location {
	background-image: url('../assets/images/icon-location.png');
}
.icon-calendar {
	background-image: url('../assets/images/icon-calendar.png');
}
.icon-code {
	background-image: url('../assets/images/icon-code.png');
}
.icon-comm {
	background-image: url('../assets/images/icon-comm.png');
}
.icon-organize {
	background-image: url('../assets/images/icon-organize.png');
}
.icon-data {
	background-image: url('../assets/images/icon-data.png');
}
.icon-integrate {
	background-image: url('../assets/images/icon-integrate.png');
}

#box_left {
	float: left;
	line-height: 25px;
	text-align: left;
	width: 200px;
}
#box_right {
	float: right;
	line-height: 25px;
	text-align: right;
	width: 200px;
}
#box_center {
	display: inline-block;
	text-align: center;
	width: 400px;
}

.link {
	display: inline-block;
	font-weight: bold;
	line-height: 20px;
	margin-top: 5px;
}
.link:hover {
	border-bottom: 1px solid #fff;
}
.content-body {
	display: flex;
	flex-direction: row;
	justify-content: start;
	gap: 24px;
	position: relative;
	text-align: left;
	margin-top: 8px;
}
.content-left,
.content-right {
	display: inline-block;
	position: relative;
	flex: 2;
}
.content-right {
	flex: 1;
}

.list-item,
.list-row,
.list-link {
	font-size: 1.2rem;
	line-height: 2rem;
	margin: 4px 4px;
	display: inline-block;
	font-weight: 700px;
}
.list-item {
	border-bottom: 1px solid #dcdcdc;
}
.list-row,
.list-link {
	width: 100%;
	display: inline-flex;
	flex-direction: row;
	justify-content: start;
	align-items: center;
}
.list-link {
	color: var(--faded);
	font-weight: bold;
	font-size: 1.1rem;
}
.list-icon {
	width: 20px;
	height: 20px;
	display: inline-block;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	margin-right: 4px;
}

.faded {
	color: var(--faded);
}
.bold {
	font-weight: bold;
}
.size-up {
	font-size: 1.1rem;
}
.content-body h1 {
	text-align: left;
	font-size: 2rem;
	border-bottom: 4px solid black;
	text-transform: uppercase;
	margin: 16px 0 8px;
}
.box {
	display: block;
	/* padding: 0 20px; */
	/* line-height: 20px; */
}
.list {
	display: block;
	padding: 0 20px;
	line-height: 25px;
}

p {
	display: block;
	padding: 10px 20px;
	/* line-height: 20px; */
	text-align: justify;
}

#name {
	font-size: 2.4rem;
	margin-top: 10px;
	line-height: 35px;
	font-weight: bold;
}
#title {
	font-size: 2rem;
	line-height: 35px;
}
main h1 {
	font-size: 2rem;
	line-height: 30px;
	text-align: left;
	margin-top: 20px;
	margin-bottom: 5px;
	font-weight: bold;
}
main h2 {
	font-size: 1.2rem;
	text-align: left;
	font-weight: bold;
	margin-top: 10px;
	margin-bottom: 5px;
}

.content-left .box {
	margin-bottom: 16px;
}

.box h2 {
	font-size: 1.4rem;
	text-align: left;
	margin-top: 0;
	line-height: 25px;
	margin-bottom: 0;
	padding-left: 0;
}
.box h3 {
	font-size: 1.2rem;
	text-align: left;
	margin-top: 0;
	line-height: 20px;
	margin-bottom: 0;
	padding-left: 0;
	font-weight: 700;
	color: var(--faded);
}
.box .title {
	/* font-style: italic; */
	font-size: 1.2rem;
	line-height: 20px;
	color: var(--faded);
	font-weight: bold;
}

.year,
.location {
	min-width: 140px;
	text-align: left;
	display: inline-flex;
	flex-direction: row;
	justify-content: start;
	align-items: center;
}
.year::before {
	content: ' ';
	background-image: url('../assets/images/icon-calendar.png');
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	width: 18px;
	height: 18px;
	margin-right: 4px;
}
.location::before {
	content: ' ';
	background-image: url('../assets/images/icon-location.png');
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	width: 18px;
	height: 18px;
	margin-right: 4px;
}

@page {
	size: 8.5in 11in;
	margin: 0;
}

@media print {
	html,
	body {
		width: 8.5in;
		height: 11in;
		background: white;
		padding: 0;
		margin: 0;
	}
	main {
		margin: 0;
		border: none; /* Remove any non-essential borders */
		box-shadow: none;
		border-radius: 0;
		margin: 0;
	}
	#resume-controls {
		display: none;
	}
}
